# Defold Druid UI Library

# Module `LangText`

Component to handle all GUI texts Good working with localization system

## Functions

init(self, node, locale_id, no_adjust) | Component init function
set_to(self, text) | Setup raw text to lang_text component
translate(self, locale_id) | Translate the text by locale_id

## Fields

on_change | On change text callback

## Functions

init(self, node, locale_id, no_adjust)
  Component init function

  ### Parameters:

  - self LangText
  - node node The text node
  - locale_id string Default locale id
  - no_adjust bool If true, will not correct text size
set_to(self, text)
  Setup raw text to lang_text component

  ### Parameters:

  - self LangText
  - text string Text for text node
translate(self, locale_id)
  Translate the text by locale_id

  ### Parameters:

  - self LangText
  - locale_id string Locale id

## Fields

on_change
  On change text callback
  - on_change druid_event

generated by LDoc 1.4.6 Last updated 2020-10-12 00:44:30